using System;
using System.IO;
using System.ComponentModel;
using System.Text;

namespace id.Quake.Files {

	[SupportedExtension("cfg")]
	[SupportedExtension("rc")]
	public class Configuration : IText, INamedResource {

		#region Public Properties

		private readonly string text;
		public string Text {
			get { return this.text; }
		}

		private string name;
		[Browsable(false)]
		public string Name { get { return this.name; } set { this.name = value; } }

		[Browsable(false)]
		public bool NamedInternally { get { return false; } }

		#endregion

		#region Constructor

		public Configuration(ResourceLoader resources, Stream stream) {
			this.text = Encoding.ASCII.GetString(new BinaryReader(stream).ReadBytes((int)stream.Length));
		}

		#endregion
	}

}
