using System;
using System.IO;
using System.ComponentModel;
using System.Text;

namespace id.Quake.Files {

	public partial class Model {

		/// <summary>Represents a series of frames used for animation.</summary>
		public struct AnimationFrame {

			/// <summary>Represents a simple frame.</summary>
			public struct SimpleFrame {
				/// <summary>The minimum values of (x,y,z).</summary>
				public Vertex Min;
				/// <summary>The maximum values of (x,y,z).</summary>
				public Vertex Max;
				/// <summary>Name of the frame.</summary>
				public string Name;
				/// <summary>The vertices for the frame.</summary>
				public Vertex[] Vertices;

				public override string ToString() {
					return this.Name;
				}
			}

			/// <summary>The minimum values of (x,y,z).</summary>
			public Vertex Min;
			/// <summary>The maximum values of (x,y,z).</summary>
			public Vertex Max;

			/// <summary>Time for each of the single frames.</summary>
			public float[] Time;

			/// <summary>Each of the frames in the animation.</summary>
			public SimpleFrame[] Frames;

			public override string ToString() {
				return string.Format("{0}, {1} frame{2}", this.Time, this.Frames.Length, this.Frames.Length == 1 ? "" : "s");
			}

		}
		
	}
}
