using System;
using System.Collections.Generic;
using QuakeC = id.Quake.Files.QuakeC;
using System.IO;

namespace id.Quake {
	public partial class VirtualMachine {

		//TODO: Translate into English. :)
		/// <summary>Specifies the type of movement.</summary>
		public enum MovementType {
			/// <summary>Never moves.</summary>
			None,
			AngleNoClip,
			AngleClip,
			/// <summary>Gravity.</summary>
			Walk,
			/// <summary>Gravity with special edge handling.</summary>
			Step,
			Fly,
			/// <summary>Gravity.</summary>
			Toss,
			/// <summary>Not clipped to the world; push and crush.</summary>
			Push,
			NoClip,
			/// <summary>Extra size to monsters.</summary>
			FlyMissile,
			Bounce,
		}

		//TODO: Check descriptions.
		/// <summary>Specifies how solid an entity is.</summary>
		public enum Solid {
			/// <summary>The entity is not solid at all.</summary>
			Not,
			/// <summary>You can pass through the entity, but its touch function is called.</summary>
			Trigger,
			/// <summary>Clip on the bounding box of the entity and call its touch function.</summary>
			BoundingBox,
			/// <summary>Clip on the bounding box of the entity and call its touch function, but not on ground.</summary>
			SlideBox,
			/// <summary>?</summary>
			BSP,
		}

	}
}
