using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Imaging;
using System.Runtime.InteropServices;

namespace Ranger {
	public partial class PicturePreviewer : Form {

		public PicturePreviewer(string title, id.Quake.Picture picture) {
			InitializeComponent();
			this.Text = title;
			Bitmap B = new Bitmap(picture.Width, picture.Height, PixelFormat.Format32bppRgb);
			BitmapData BD = B.LockBits(new Rectangle(0,0,picture.Width, picture.Height), ImageLockMode.WriteOnly, PixelFormat.Format32bppRgb);
			Marshal.Copy(picture.GetPaddedData(BD.Stride), 0, BD.Scan0, picture.Data.Length);
			B.UnlockBits(BD);
			this.BackgroundImage = B;
			this.ClientSize = new Size(picture.Width + 32, picture.Height + 32);
			this.Disposed += new EventHandler(PicturePreviewer_Disposed);
		}

		void PicturePreviewer_Disposed(object sender, EventArgs e) {
			this.BackgroundImage.Dispose();
		}


	}
}